<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Pantalla para ingresar los datos de entra cuando se edita o se crea una nueva area
                
@ManagedBean    AdministrarAreasAdoptadasMB
@cu 			CU-SA-AC-160
-->

<h:form id="areasAdoptadasEditForm" xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc">

    <p:spacer height="10"/>
    <p:fieldset>
        <legend>
            <h:outputLabel value="Registro de áreas"
                           styleClass="legendTitle" />
        </legend>
        <p:messages id="msgsEditArea" showDetail="false"
                    globalOnly="false" />

        <h:panelGrid columns="2">

            <h:outputLabel value="Fuente: " styleClass="outputLabelStyle" />
            <h:selectOneMenu  value="#{administrarAreasAdoptadas.areaSeleccionada.fuente}">
                <f:selectItem itemLabel="seleccionar..."/>
                <f:selectItems value="#{general.avaluoAreaRegFuenteV}" />
                <p:ajax event="change" 
                        update=":areasAdoptadasEditForm"
                        listener="#{administrarAreasAdoptadas.listenerSeleccionFuente}"/>
            </h:selectOneMenu>

            <h:outputLabel value="Otra fuente: " styleClass="outputLabelStyle" id="otroFuente"
                           rendered="#{administrarAreasAdoptadas.banderaOtraFuente}"/>
            <h:panelGrid columns="2" rendered="#{administrarAreasAdoptadas.banderaOtraFuente}">
                <h:inputText required="true"
                             requiredMessage="Debe especificar la fuente "
                             id="otraFuenteTxt" value="#{administrarAreasAdoptadas.otraFuente}"/>
                <p:message for="otraFuenteTxt" display="icon" />
            </h:panelGrid>
            <h:outputLabel value="Área: " styleClass="outputLabelStyle" />
            <h:panelGrid columns="2">
                <h:inputText required="true"
                             requiredMessage="Debe ingresar un valor de área"
                             id="areaTxt" value="#{administrarAreasAdoptadas.areaSeleccionada.area}"/>
                <p:message for="areaTxt" display="icon" />
            </h:panelGrid>


        </h:panelGrid>
        <p:commandButton value="Aceptar"
                         icon="ui-icon-check"
                         action="#{administrarAreasAdoptadas.crearArea}"
                         oncomplete="handleCompleteSIC(xhr, status, args, areasAdoptadasEditWV, false);statusDialog2.hide();" 
                         update=":areasAdoptadasForm, :areasAdoptadasEditForm" onstart="statusDialog2.show();" >
        </p:commandButton>

    </p:fieldset>

</h:form>